import { IndexMapping } from './types';
/**
 * A memory-optimal KeyMapping, i.e., given a targeted relative accuracy, it
 * requires the least number of keys to cover a given range of values. This is
 * done by logarithmically mapping floating-point values to integers.
 */
export declare class LogarithmicMapping implements IndexMapping {
    readonly relativeAccuracy: number;
    readonly minIndexableValue: number;
    readonly maxIndexableValue: number;
    private readonly multiplier;
    constructor(relativeAccuracy: number);
    index(value: number): number;
    value(index: number): number;
    equals(other: IndexMapping): boolean;
}
